<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class ImageUploadController extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->helper('url', 'form');
    }

    public function index() {
        $this->load->view('upload_form');
    }

    public function store() {
        
        // $config['upload_path']          = 'http://amigo.at-appmaker.com/assets/images/uploads/';
        $config['upload_path'] = $_SERVER['DOCUMENT_ROOT']."/assets/images/uploads/";
        echo $config['upload_path'];
                $config['allowed_types']        = 'gif|jpg|png';
                $config['max_size']             = 2000;
                // $config['max_width']            = 1024;
                // $config['max_height']           = 768;

                $this->load->library('upload', $config);

                if ( ! $this->upload->do_upload('profile_image'))
                {
                        $error = array('error' => $this->upload->display_errors());

                        $this->load->view('upload_form', $error);
                }
                else
                {
                        $data = array('upload_data' => $this->upload->data());

                        $this->load->view('upload_result', $data);
                }
    }

}